#!/bin/sh


	export RPM_SOURCE_DIR="/home/prickle/RPM/SOURCES"
	export RPM_BUILD_DIR="/home/prickle/RPM/BUILD"
	export RPM_OPT_FLAGS="-pipe -Wall -O2 -march=athlon"
	export RPM_ARCH="athlon"
	export RPM_OS="linux"
	export RPM_DOC_DIR="/usr/share/doc"
	export RPM_PACKAGE_NAME="WineX"
	export RPM_PACKAGE_VERSION="3.1"
	export RPM_PACKAGE_RELEASE="alt1.20030826"
	export RPM_BUILD_ROOT="/home/prickle/tmp/WineX-buildroot"
	export RPM_CLEANUP_METHOD="auto"
	export RPM_COMPRESS_METHOD="auto"
	export RPM_FIXUP_METHOD="binconfig pkgconfig libtool"
	export RPM_STRIP_METHOD="executable shared"
	export RPM_VERIFY_ELF_METHOD="normal"
	
	
	export RPM_FINDREQ_DEFAULT_METHOD="files lib pam perl shell"
	export RPM_FINDPROV_DEFAULT_METHOD="pam lib perl shell"
	export RPM_CLEANUP_TOPDIR=""
	export RPM_COMPRESS_TOPDIR="/usr"
	export RPM_FIXUP_TOPDIR=""
	export RPM_STRIP_TOPDIR=""
	export RPM_VERIFY_ELF_TOPDIR=""
	export RPM_FINDREQ_TOPDIR=""
	export RPM_FINDPROV_TOPDIR=""
	export RPM_CLEANUP_SKIPLIST=""
	export RPM_COMPRESS_SKIPLIST=""
	export RPM_FIXUP_SKIPLIST=""
	export RPM_STRIP_SKIPLIST="*/debug/*"
	export RPM_VERIFY_ELF_SKIPLIST=""
	export RPM_FINDREQ_SKIPLIST="/usr/share/doc/*"
	export RPM_FINDPROV_SKIPLIST="/usr/share/doc/*"
	export RPM_FINDPROV_LIB_PATH="/lib:/usr/lib:/usr/X11R6/lib  /usr/lib/wine"
	
	export RPM_PERL_REQ_METHOD="normal"
	
	
	
	export RPM_PYTHON="/usr/bin/python"
	
	unset LANG LANGUAGE LC_CTYPE LC_NUMERIC LC_TIME LC_COLLATE LC_MONETARY LC_MESSAGES LC_PAPER LC_NAME LC_ADDRESS LC_TELEPHONE LC_MEASUREMENT LC_IDENTIFICATION LC_ALL ||:
	
	
	unset DISPLAY XAUTHORITY ||:
	
	
	
	unset CCACHE_CC CCACHE_CXX CCACHE_DIR ||:
	
	
	
	
	unset AUTOCONF_VERSION AUTOMAKE_VERSION LIBTOOL_VERSION GCC_VERSION ||:
	
	
	
	
	
	export PAM_SO_SUFFIX="%{_pam_so_suffix}"
	export PAM_NAME_SUFFIX="%{_pam_name_suffix}"
	
	export MAKEFLAGS="-w PAM_SO_SUFFIX=%_pam_so_suffix"
	
	set -x
	umask 022
	/bin/mkdir -p /home/prickle/RPM/BUILD
	cd /home/prickle/RPM/BUILD



cd WineX-3.1
pushd wine

  CFLAGS="${CFLAGS:--pipe -Wall -O2 -march=athlon}" ; export CFLAGS ; 
  CXXFLAGS="${CXXFLAGS:--pipe -Wall -O2 -march=athlon}" ; export CXXFLAGS ; 
  FFLAGS="${FFLAGS:--pipe -Wall -O2 -march=athlon}" ; export FFLAGS ; 
  [ -f configure.in ] && libtoolize --copy --force ; 
  ./configure --build=athlon-alt-linux --host=athlon-alt-linux \
 	--prefix=/usr \
	--exec-prefix=/usr \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--sysconfdir=/etc \
	--datadir=/usr/share \
	--includedir=/usr/include \
	--libdir=/usr/lib \
	--libexecdir=/usr/lib \
	--localstatedir=/var/lib \
	--sharedstatedir=/usr/com \
	--mandir=/usr/share/man \
	--infodir=/usr/share/info \
	--without-included-gettext \
	--libdir=/usr/lib/wine \
	--includedir=/usr/include/wine \
	--with-x \
	--enable-opengl
[ -n "$NPROCS" ] || NPROCS=1; make -j$NPROCS depend
[ -n "$NPROCS" ] || NPROCS=1; make -j$NPROCS
[ -n "$NPROCS" ] || NPROCS=1; make -j$NPROCS -C programs
[ -n "$NPROCS" ] || NPROCS=1; make -j$NPROCS -C documentation wine-doc/index.html
ln -s set1.html documentation/wine-doc/index.html
popd wine


exit 0

